Bug 463650 - [LTC 6.0 FEAT] 201303:Provide a utmp format that is compatible between 32 and 64 bit.
[LTC 6.0 FEAT] 201303:Provide a utmp format that is compatible between 32 and...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Andreas Schwab
Petr Muller
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-24 01:10 EDT by IBM Bug Proxy
Modified: 2016-11-24 07:03 EST (History)
8 users (show)

See Also:
Fixed In Version: glibc-2.10.90-26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:28:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 01:10:45 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:11 EDT
1. Feature Overview:
Feature Id:	[201303]
a. Name of Feature:	Provide a utmp format that is compatible between 32 and 64 bit.
b. Feature Description
The utmp definition for the 64 bit version of the C-runtime on Linux for System z needs to be the
same as the utmp definition for the 32 bit version.   That way 32 bit applications running in the 64
bit compatability layer can access the records. This change breaks a number of interfaces in the 64
  bit C-runtime . which need to be versioned and a compat function for old executables using the 64
bit version of the struct utmp is required.  The list of affected interfaces include:    login,
updwtmp, getutent, getutid, getutline, pututline, getutent_r,    getutid_r, getutline_r, getutxent,
getutxid, getutxline, pututxline,    updwtmpx, getutmp, getutmpx.  and some more which have not been
verified yet.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Toolchain
Request Type:	Toolchain - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	glibc 2.9

3. Business Case
The 32/64 bit compatible utmp format is a requirement for the LSB 4.0 certification.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:57:57 EDT
Has this work been submitted upstream yet?
Comment 2 John Jarvis 2008-10-28 17:43:24 EDT
Switching Severity from Urgent to High.  Urgent should be reserved for problems that need to be fixed asynch.
Comment 3 IBM Bug Proxy 2009-02-09 06:12:44 EST
(In reply to comment #4)
> Has this work been submitted upstream yet?
>

Yes, this is in glibc upstream.
Comment 4 Bill Nottingham 2009-02-10 10:34:17 EST
OK - setting to MODIFIED.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 5 releng-rhel@redhat.com 2009-10-29 09:43:37 EDT
Fixed in 'glibc-2.10.90-26', included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 7 IBM Bug Proxy 2010-07-23 09:32:53 EDT
------- Comment From mgrf@de.ibm.com 2010-07-23 09:26 EDT-------
This is verified included in RHEL6 with upstream glibc 2.10
Set feature request to verified. Thx
Comment 8 releng-rhel@redhat.com 2010-11-10 15:28:53 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.